/*
 * Exchange Web Services Managed API
 *
 * Copyright (c) Microsoft Corporation
 * All rights reserved.
 *
 * MIT License
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this
 * software and associated documentation files (the "Software"), to deal in the Software
 * without restriction, including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
 * to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or
 * substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED *AS IS*, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */






    /// <summary>
    /// Represents a strongly typed item attachment.
    /// </summary>
    /// <typeparam name="TItem">Item type.</typeparam>
 class ItemAttachment<TItem> extends ItemAttachment
        where TItem : Item
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ItemAttachment&lt;TItem&gt;"/> class.
        /// </summary>
        /// <param name="owner">The owner of the attachment.</param>
        ItemAttachment(Item owner)
            : super(owner)
        {
        }

        /// <summary>
        /// Gets the item associated with the attachment.
        /// </summary>
 new TItem Item
        {
            get { return (TItem)base.Item; }
            set { base.Item = value; }
        }
    }
