/*
 * Exchange Web Services Managed API
 *
 * Copyright (c) Microsoft Corporation
 * All rights reserved.
 *
 * MIT License
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this
 * software and associated documentation files (the "Software"), to deal in the Software
 * without restriction, including without limitation the rights to use, copy, modify, merge,
 * publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
 * to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or
 * substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED *AS IS*, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */


    /// <summary>
    /// Defines the different user photo sizes that can be requested
    /// </summary>
 static class UserPhotoSize
    {
        /// <summary>Image of size 48x48</summary>
 static readonly String HR48x48 = "HR48x48";

        /// <summary>Image of size 64x64</summary>
 static readonly String HR64x64 = "HR64x64";

        /// <summary>Image of size 96x96</summary>
 static readonly String HR96x96 = "HR96x96";

        /// <summary>Image of size 120x120</summary>
 static readonly String HR120x120 = "HR120x120";

        /// <summary>Image of size 240x240</summary>
 static readonly String HR240x240 = "HR240x240";

        /// <summary>Image of size 360x360</summary>
 static readonly String HR360x360 = "HR360x360";

        /// <summary>Image of size 432x432</summary>
 static readonly String HR432x432 = "HR432x432";

        /// <summary>Image of size 504x504</summary>
 static readonly String HR504x504 = "HR504x504";

        /// <summary>Image of size 648x648</summary>
 static readonly String HR648x648 = "HR648x648";
    }
